<script setup>
import { reactive } from 'vue';
import { useRouter } from 'vue-router';

let router = useRouter();

let state = reactive({
    id: "",
    ownerToken: "",
});

function addCoinFolio() {
    let persistedCoinfolios = [];
    var persistedJson = window.localStorage.getItem("coinfolios");
    if(persistedJson) {
        persistedCoinfolios = JSON.parse(persistedJson);
    }

    persistedCoinfolios.push({
        id: state.id,
        ownerToken: state.ownerToken,
    });

    window.localStorage.setItem("coinfolios", JSON.stringify(persistedCoinfolios));

    router.push("/");

}
</script>

<template>
    <h1>Add existing CoinFolio</h1>
    <input v-model="state.id" type="text" placeholder="CoinFolioId" />
    <input v-model="state.ownerToken" type="text" placeholder="OwnerToken" />
    <button @click.prevent="addCoinFolio()">Add</button>
</template>